curl --request GET \
--url https://api.hubapi.com/cms/v3/pages/landing-pages/folders/{objectId}/revisions \
--header 'Authorization: Bearer <token>'{
"results": [
{
"id": "<string>",
"object": {
"category": 123,
"created": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"parentFolderId": 123,
"updated": "2023-11-07T05:31:56Z"
},
"updatedAt": "2023-11-07T05:31:56Z",
"user": {
"email": "<string>",
"fullName": "<string>",
"id": "<string>"
}
}
],
"total": 123,
"paging": {}
}Récupère toutes les versions antérieures d’un dossier de page de destination.
curl --request GET \
--url https://api.hubapi.com/cms/v3/pages/landing-pages/folders/{objectId}/revisions \
--header 'Authorization: Bearer <token>'{
"results": [
{
"id": "<string>",
"object": {
"category": 123,
"created": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"parentFolderId": 123,
"updated": "2023-11-07T05:31:56Z"
},
"updatedAt": "2023-11-07T05:31:56Z",
"user": {
"email": "<string>",
"fullName": "<string>",
"id": "<string>"
}
}
],
"total": 123,
"paging": {}
}Produits pris en charge
Portées requises
The access token received from the authorization server in the OAuth 2.0 flow.
Le jeton de curseur de pagination de la dernière ressource lue avec succès sera renvoyé en tant que propriété JSON « paging.next.after » d'une réponse paginée contenant plus de résultats.
Le nombre maximum de résultats à afficher par page.